Disabled the geteuid check. Now root can launch the program.
Index: vlc/bin/vlc.c
===================================================================
--- vlc.orig/bin/vlc.c	2013-02-16 00:41:31.463826981 +0100
+++ vlc/bin/vlc.c	2013-02-16 01:14:37.377110433 +0100
@@ -121,7 +121,7 @@
     unsetenv ("DESKTOP_STARTUP_ID");
 
 #ifndef ALLOW_RUN_AS_ROOT
-    if (geteuid () == 0)
+    if (0) // kali pach -- geteuid () == 0)
     {
         fprintf (stderr, "VLC is not supposed to be run as root. Sorry.\n"
         "If you need to use real-time priorities and/or privileged TCP ports\n"
Index: vlc/modules/access/dtv/linux.c
===================================================================
--- vlc.orig/modules/access/dtv/linux.c	2013-02-16 00:24:45.795786793 +0100
+++ vlc/modules/access/dtv/linux.c	2013-02-16 01:16:54.097107659 +0100
@@ -915,7 +915,7 @@
         return -1;
     return dvb_set_props (d, 5, DTV_CLEAR, 0, DTV_DELIVERY_SYSTEM, SYS_ISDBS,
                           DTV_FREQUENCY, freq,
-                          DTV_ISDBS_TS_ID, (uint32_t)ts_id);
+                          DTV_ISDBS_TS_ID_LEGACY, (uint32_t)ts_id);
 #else
 # warning ISDB-S needs Linux DVB version 5.1 or later.
     msg_Err (d->obj, "ISDB-S support not compiled-in");
